unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls, MultiSwitch,
  FlexiSwitch;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    FlexiSwitch1: TFlexiSwitch;
    FlexiSwitch2: TFlexiSwitch;
    FlexiSwitch3: TFlexiSwitch;
    Label1: TLabel;
    Label2: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FlexiSwitch1Change(Sender: TObject);
    procedure FlexiSwitch1Left(Sender: TObject);
    procedure FlexiSwitch1Right(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    i : integer;
  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
 FlexiSwitch1.Direction:= fsRight;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
 if FlexiSwitch1.Direction = fsRight then FlexiSwitch1.Direction:= fsLeft else FlexiSwitch1.Direction:= fsRight;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
 If FlexiSwitch1.SwitchMode = fsClick then FlexiSwitch1.SwitchMode := fsSlide else FlexiSwitch1.SwitchMode := fsClick;
 If FlexiSwitch2.SwitchMode = fsClick then FlexiSwitch2.SwitchMode := fsSlide else FlexiSwitch2.SwitchMode := fsClick;
 If FlexiSwitch3.SwitchMode = fsClick then FlexiSwitch3.SwitchMode := fsSlide else FlexiSwitch3.SwitchMode := fsClick;
end;

procedure TForm1.FlexiSwitch1Change(Sender: TObject);
begin
 inc(i);
 Label2.Caption:= 'Change'+inttostr(i);
end;

procedure TForm1.FlexiSwitch1Left(Sender: TObject);
begin
  Label1.Caption:= 'Left';
end;

procedure TForm1.FlexiSwitch1Right(Sender: TObject);
begin
  Label1.Caption:= 'Right';
end;

end.

